:root
{
  --white: rgb( 255, 255, 255 );
  --orange: #FFBA00;
  --orangered: rgb(240, 130, 0);
}

body
{
    background-color: black;
    background: linear-gradient(90deg, #111, #222);
    background-size: cover;
    font-family: Arial;
    margin: 0;
    color: var(--orange);
}

header, footer
{
    background: url( "background.png" );
    text-align: center;
    padding: 40px;
    border-bottom: 2px solid var(--orangered);
}

code
{
    padding: 2px 6px;
    border: 1px solid #333;
    border-radius: 4px;
    font-family: Consolas, monospace;
    font-size: 0.9em;
    background: rgba(0, 255, 0, 0.08);
    color: #00ff88;
    border: 1px solid #003300;
    box-shadow: 0 0 5px rgba(0,255,0,0.2);
}

/*
code:hover
{
    background: rgba(0,255,0,0.2);
}
*/

/* title text */
#title1
{
    font-size: 20px;
    text-align: center;
    color: white;
    padding: 20px 0px;
    animation: move 4.6s infinite linear, blink 4.6s infinite linear, blinkblur 4.6s infinite linear;
    transform:translateX(0px);
    letter-spacing: 20px;
    line-height: 1.4;
}

#title1 span
{
    letter-spacing: 10px;
}

/* title blurry text */
#title1 #blink
{
    text-align: center;
    position: absolute;
    font-size: 10px;
    filter: blur(1px);
    transform: scale(2) translateX(0px);
    top: 33px;
    animation: movescale 4.6s infinite linear, blink 4.6s infinite linear;
    left: 540px;
}

.play-btn
{
    margin-top: 20px;
    padding: 20px 60px;
    font-size: 2em;
    background: rgba(255,140,0, 0.8);
    border: none;
    cursor: pointer;
    font-weight: bold;
    transition: 0.2s;
}

.play-btn:hover
{
    background: rgba(255, 102, 0, 0.8);
    transform: scale(1.05);
}

.container
{
    max-width: 1100px;
    margin: auto;
    padding: 20px;
}

.section
{
    margin-bottom: 40px;
}

.card
{
    background: #111;
    padding: 20px;
    border: 1px solid #333;
    border-left: 4px solid var(--orangered);
    margin-bottom: 20px;
}

.grid
{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    gap: 15px;
}

img
{
    width: 100%;
    border: 1px solid #333;
}

footer
{
    text-align: center;
    padding: 20px;
    color: #666;
    border-top: 1px solid #222;
}

/*Video container*/
.video-container
{
    position: relative;
    width: 100%;
    padding-top: 56.25%; /* 16:9 */
    border: 2px solid var(--orangered);
    box-shadow: 0 0 20px rgba(255,140,0,0.3);
}

.video-container iframe
{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

/*Changelog*/
.changelog-item
{
    border: 1px solid #333;
    margin-bottom: 10px;
    background: #111;
}

.changelog-header
{
    padding: 6px;
    cursor: pointer;
    font-weight: bold;
    color: #0f0;
    transition: 0.2s;
    border: 1px solid #333;
    border-radius: 4px;
    font-family: Consolas, monospace;
    font-size: 0.9em;
    background: rgba(0, 255, 0, 0.08);
    border: 1px solid #003300;
    box-shadow: 0 0 5px rgba(0,255,0,0.2);
}

.changelog-header:hover
{
    background: rgba(0,255,0,0.2);
}

.changelog-content
{
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.3s ease;
    padding: 0 15px;
}

.changelog-content.open
{
    max-height: 500px; /* suficiente para contenido */
    padding: 15px;
}

.changelog-content li
{
    margin-left: 20px;
}

.changelog-content code
{
    background: #222;
    padding: 2px 5px;
}

/* Terminal */
.terminal
{
    background: #0a0a0a;
    border: 1px solid #222;
    border-left: 4px solid var(--orangered);
    box-shadow: 0 0 20px rgba(255,140,0,0.2);
    margin: 20px 0;
    font-family: Consolas, monospace;
}

.terminal-header
{
    display: flex;
    justify-content: space-between;
    align-items: center;
    background: #111;
    padding: 10px 15px;
    border-bottom: 1px solid #222;
    color: var(--orangered);
    font-weight: bold;
}

.code_terminal
{
    color: #0f0;
    white-space: pre;
}

.code_terminal::before
{
    content: "C:\\> ";
    color: #888;
}

.copy-btn
{
    background: #222;
    border: 1px solid #333;
    color: #0f0;
    padding: 5px 10px;
    cursor: pointer;
    font-size: 0.8em;
    transition: 0.2s;
}

.copy-btn:hover
{
    background: #333;
}

pre
{
    margin: 0;
    padding: 15px;
    overflow-x: auto;
}

/* map json schema configuration data */
.schema-table
{
    border-collapse: collapse;
    width: 100%;
}

.schema-table td, .schema-table th
{
    border: 1px solid #444;
    padding: 8px;
}

.prop-name
{
    cursor: pointer;
    color: #4fc3f7;
}

.prop-separator
{
    cursor: pointer;
    color: rgb(255, 0, 0);
}

.prop-object
{
    cursor: pointer;
    color: #00ff88
}

/*
.tooltip
{
    position: fixed;
    background: #222;
    color: #fff;
    padding: 6px 10px;
    border-radius: 6px;
    font-size: 12px;
    pointer-events: none;
}
*/

/* links and buttons */
a, button
{
    cursor: default;
    color: var(--orange);
    text-decoration: none;
    transition-duration: 1s;
    font-family: Trebuchet MS;
    font-size: 20px;
    font-weight: bold;
}
/* link hover */
a:hover, button:hover
{
    color: #FFF94D;
    text-shadow: 0px 0px 5px var(--orange), 0px 0px 5px var(--orange), 0px 0px 5px var(--orange), 0px 0px 5px var(--orange), 0px 0px 5px var(--orange), 0px 0px 15px var(--orange);
    text-decoration: none;
    transition-duration: 0.02s;
}

/* link active (clicked) */
a:active
{
    color: #000;
    text-decoration: none;
    transition-duration: 0.02s;
}

.inactive
{
    pointer-events: none;
    color: #646464;
}

/* animations */
/* Background image changing */
.bg-slider
{
    position: fixed;
    inset: 0;
    z-index: -1;
    overflow: hidden;
}

.bg-slide
{
    position: absolute;
    inset: 0;

    background-size: cover;
    background-position: center;

    opacity: 0;
    transition: opacity 1.5s ease;
}

.bg-slide.active
{
    opacity: 1;
}

.bg-slider::after
{
    content: "";
    position: absolute;
    inset: 0;
    background: radial-gradient(circle, transparent, black 80%);
}

.bg-slide.active
{
    animation: zoom 6s ease forwards;
}

@keyframes zoom
{
    from { transform: scale(1); }
    to { transform: scale(1.05); }
}

/* title animation */
@keyframes move
{
    100%,0%{transform:translateX(-10px);}
    27%,45%,94%{transform:translateX(10px);}
    36%{transform:translateX(5px);}
    81%{transform:translateX(0px);}
}

/* title scaled animation */
@keyframes movescale
{
    100%,0%{transform:translateX(-10px) scale(2);}
    27%,45%,94%{transform:translateX(10px) scale(2);}
    36%{transform:translateX(5px) scale(2);}
    81%{transform:translateX(0px) scale(2);}
}

/* blinking animation */
@keyframes blink
{
    0%,100%,11%,13%,31%,33%,54%,56%,66%,68%,77%,79%,93%,95%,100%{text-shadow: none;}
    12%,32%,55%,67%,78%,94%{text-shadow: 0px 0px 5px #FFF, 0px 0px 5px #FFF, 0px 0px 5px #FFF, 0px 0px 5px #FFF, 0px 0px 5px #FFF;}
}

/* blinking blur animation */
@keyframes blinkblur
{
    0%,100%,11%,13%,31%,33%,54%,56%,66%,68%,77%,79%,93%,95%,100%{filter:blur(0px);}
    12%,32%,55%,67%,78%,94%{filter:blur(5px);}
}

@keyframes activeblink
{
    0%, 100%{box-shadow: 0px 0px 5px var(--orange) ;}
    50%{box-shadow: 0px 0px 20px var(--orange) ;}
}
